package br.edu.ifba.inf008.contabil.model;
import java.util.ArrayList;
import java.util.List;

import br.edu.ifba.inf008.contabil.util.Ordenador;

public class LivroContabil{
    private List<Lancamento> lancamentos;
    
    public LivroContabil(){
        this.lancamentos = new ArrayList<Lancamento>();
    }
    
    public void registrar(Lancamento lancamento){
      this.lancamentos.add(lancamento);
        
    }    
    
    public String toString(){
        String rep = "";
//        Ordenador ordenador = new Ordenador();
//        ordenador.ordenar(this.lancamentos);
        for(Lancamento lancamento : this.lancamentos)
            rep += lancamento + "\n";
        return rep;    
    }      
    
}
